classification
Title: --embed not included in python3.8-config usage/--help
Type: Stage: resolved
Components: Extension Modules Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BTaskaya, hroncok, miss-islington, vstinner
Priority: normal Keywords: patch

Created on 2019-08-23 05:52 by hroncok, last changed 2019-08-26 22:23 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15458 merged BTaskaya, 2019-08-24 11:35
PR 15530 merged miss-islington, 2019-08-26 21:45
Messages (5)
msg350250 - (view) Author: Miro Hrončok (hroncok) * Date: 2019-08-23 05:52
Based on changes in https://docs.python.org/3.8/whatsnew/3.8.html#debug-build-uses-the-same-abi-as-release-build I think that the usage string of python3.8-config should also contain --embed.

Actual output:

$ python3.8-config
Usage: /usr/bin/python3.8-x86_64-config --prefix|--exec-prefix|--includes|--libs|--cflags|--ldflags|--extension-suffix|--help|--abiflags|--configdir

Expected output:

$ python3.8-config
Usage: /usr/bin/python3.8-x86_64-config --prefix|--exec-prefix|--includes|--libs|--cflags|--ldflags|--embed|--extension-suffix|--help|--abiflags|--configdir
msg350274 - (view) Author: Batuhan (BTaskaya) * Date: 2019-08-23 11:03
I can work on this.
msg350572 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-08-26 21:45
New changeset d3cc189b17c86f670198aca109b5ffa2d526d87a by Victor Stinner (Batuhan Taşkaya) in branch 'master':
bpo-37925: Mention --embed in python-config usage (GH-15458)
https://github.com/python/cpython/commit/d3cc189b17c86f670198aca109b5ffa2d526d87a
msg350575 - (view) Author: miss-islington (miss-islington) Date: 2019-08-26 21:55
New changeset b8a22ac856944d1dded46ed4caa795e07bfaf0c6 by Miss Islington (bot) in branch '3.8':
bpo-37925: Mention --embed in python-config usage (GH-15458)
https://github.com/python/cpython/commit/b8a22ac856944d1dded46ed4caa795e07bfaf0c6
msg350579 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-08-26 22:23
Thanks Batuhan Taşkaya for the fix, and thanks Miro Hrončok for the bug report!

Note: --embed was already mentioned in python-config.py usage help.
History
Date User Action Args
2019-08-26 22:23:04vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg350579

stage: patch review -> resolved
2019-08-26 21:55:34miss-islingtonsetnosy: + miss-islington
messages: + msg350575
2019-08-26 21:45:48miss-islingtonsetpull_requests: + pull_request15212
2019-08-26 21:45:39vstinnersetmessages: + msg350572
2019-08-24 11:35:54BTaskayasetkeywords: + patch
stage: patch review
pull_requests: + pull_request15153
2019-08-23 11:03:04BTaskayasetnosy: + BTaskaya
messages: + msg350274
2019-08-23 05:52:58hroncokcreate